CommandType (Apache Geode 1.13.3)
Date: 2021-06-22

org.apache.geode.management.api

## Enum CommandType

- java.lang.Object
- - java.lang.Enum<CommandType>
  - - org.apache.geode.management.api.CommandType

- All Implemented Interfaces:
    Serializable, Comparable<CommandType>

      @Experimental
      public enum CommandType
      extends Enum<CommandType>

  Commands used by `ClusterManagementServiceTransport` which mimic HTTP verbs.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `CREATE_OR_UPDATE`
    `DELETE`
    `LIST`
    `READ`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CommandType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final CommandType CREATE

    - #### CREATE_OR_UPDATE

          public static final CommandType CREATE_OR_UPDATE

    - #### READ

          public static final CommandType READ

    - #### LIST

          public static final CommandType LIST

    - #### UPDATE

          public static final CommandType UPDATE

    - #### DELETE

          public static final CommandType DELETE

  - ### Method Detail

    - #### values

          public static CommandType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandType c : CommandType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null